> For the complete documentation index, see [llms.txt](https://docs.kiiglobal.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kiiglobal.io/docs/build-on-kiichain/endpoints-cosmos/evm/feemarket.md).

# FeeMarket

## GET /cosmos/evm/feemarket/v1/params

> Params queries the parameters of x/feemarket module.

```json
{"openapi":"3.1.1","info":{"title":"Kiichain - HTTP API Console","version":"v1"},"servers":[{"url":"https://lcd.uno.sentry.testnet.v3.kiivalidator.com"}],"paths":{"/cosmos/evm/feemarket/v1/params":{"get":{"summary":"Params queries the parameters of x/feemarket module.","operationId":"FeemarketParams","responses":{"200":{"description":"A successful response.","content":{"application/json":{"schema":{"type":"object","properties":{"params":{"description":"params define the evm module parameters.","type":"object","properties":{"no_base_fee":{"type":"boolean","title":"no_base_fee forces the EIP-1559 base fee to 0 (needed for 0 price calls)"},"base_fee_change_denominator":{"type":"integer","format":"int64","description":"base_fee_change_denominator bounds the amount the base fee can change\nbetween blocks."},"elasticity_multiplier":{"type":"integer","format":"int64","description":"elasticity_multiplier bounds the maximum gas limit an EIP-1559 block may\nhave."},"enable_height":{"type":"string","format":"int64","description":"enable_height defines at which block height the base fee calculation is\nenabled."},"base_fee":{"type":"string","description":"base_fee for EIP-1559 blocks."},"min_gas_price":{"type":"string","title":"min_gas_price defines the minimum gas price value for cosmos and eth\ntransactions"},"min_gas_multiplier":{"type":"string","title":"min_gas_multiplier bounds the minimum gas used to be charged\nto senders based on gas limit"}},"title":"Params defines the EVM module parameters"}},"description":"QueryParamsResponse defines the response type for querying x/vm parameters."}}}},"default":{"description":"An unexpected error response.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"details":{"type":"array","items":{"type":"object","properties":{"type_url":{"type":"string"},"value":{"type":"string","format":"byte"}}}}}}}}}},"tags":["Query"]}}}}
```

## GET /cosmos/evm/feemarket/v1/base\_fee

> BaseFee queries the base fee of the parent block of the current block.

```json
{"openapi":"3.1.1","info":{"title":"Kiichain - HTTP API Console","version":"v1"},"servers":[{"url":"https://lcd.uno.sentry.testnet.v3.kiivalidator.com"}],"paths":{"/cosmos/evm/feemarket/v1/base_fee":{"get":{"summary":"BaseFee queries the base fee of the parent block of the current block.","operationId":"BaseFee","responses":{"200":{"description":"A successful response.","content":{"application/json":{"schema":{"type":"object","properties":{"base_fee":{"type":"string","title":"base_fee is the EIP1559 base fee"}},"description":"QueryBaseFeeResponse returns the EIP1559 base fee."}}}},"default":{"description":"An unexpected error response.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"details":{"type":"array","items":{"type":"object","properties":{"type_url":{"type":"string"},"value":{"type":"string","format":"byte"}}}}}}}}}},"tags":["Query"]}}}}
```

## GET /cosmos/evm/feemarket/v1/block\_gas

> BlockGas queries the gas used at a given block height

```json
{"openapi":"3.1.1","info":{"title":"Kiichain - HTTP API Console","version":"v1"},"servers":[{"url":"https://lcd.uno.sentry.testnet.v3.kiivalidator.com"}],"paths":{"/cosmos/evm/feemarket/v1/block_gas":{"get":{"summary":"BlockGas queries the gas used at a given block height","operationId":"BlockGas","responses":{"200":{"description":"A successful response.","content":{"application/json":{"schema":{"type":"object","properties":{"gas":{"type":"string","format":"int64","title":"gas is the returned block gas"}},"description":"QueryBlockGasResponse returns block gas used for a given height."}}}},"default":{"description":"An unexpected error response.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"details":{"type":"array","items":{"type":"object","properties":{"type_url":{"type":"string"},"value":{"type":"string","format":"byte"}}}}}}}}}},"tags":["Query"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kiiglobal.io/docs/build-on-kiichain/endpoints-cosmos/evm/feemarket.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
